API referenceSettings
Get workspace settings and usage
get
https://www.tracira.com/api/settingsGET
sessionAuthcookie
better-auth.session_token<token>Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
Settings snapshot for the active workspace.
application/json- response
id*stringname*stringworkspaceName*stringcolor?string|nullwebhookToken?string|nullapiKey?string|nullnotifyOnFlag?booleannotifyOnFail?booleannotificationEmail?string|nullslackNotificationsEnabled?booleanemailNotificationsEnabled?booleanwebhookEnabled?booleanoutboundWebhookUrl?string|nulloutboundWebhookEvents?string|nullopenaiJudgeModel?string|nullanthropicJudgeModel?string|nullopenrouterJudgeModel?string|nulldefaultJudgeProvider?|Value in
"anthropic""openai""openrouter"currentUserRole*stringcanManageWorkspace*booleanbilling?usage*[key: string]?anycurl -X GET 'https://www.tracira.com/api/settings'Example Response
{ "id": "string", "name": "string", "workspaceName": "string", "color": "string", "webhookToken": "string", "apiKey": "string", "notifyOnFlag": true, "notifyOnFail": true, "notificationEmail": "string", "slackNotificationsEnabled": true, "emailNotificationsEnabled": true, "webhookEnabled": true, "outboundWebhookUrl": "string", "outboundWebhookEvents": "string", "openaiJudgeModel": "string", "anthropicJudgeModel": "string", "openrouterJudgeModel": "string", "defaultJudgeProvider": "anthropic", "currentUserRole": "string", "canManageWorkspace": true, "billing": {}, "usage": {}}